Last modified: 2014-01-17 07:47:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 59077 - Create Wikivoyage Chinese
Create Wikivoyage Chinese
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Normal enhancement with 4 votes (vote)
: ---
Assigned To: Tomasz W. Kozlowski
//meta.wikimedia.org/wiki/Requests_fo...
: shell
Depends on:
Blocks: wikis-to-create 59100
  Show dependency treegraph
 
Reported: 2013-12-28 15:07 UTC by MF-Warburg
Modified: 2014-01-17 07:47 UTC (History)
17 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MF-Warburg 2013-12-28 15:07:27 UTC
The language committee and WMF Board have approved the creation of Wikivoyage Chinese.

Language code: zh
Site URL: zh.wikivoyage.org
Project name: 维基导游
Project namespace: Wikivoyage
Project talk namespace: Wikivoyage talk
Project logo: https://commons.wikimedia.org/wiki/File:Wikivoyage-Logo-v3-zh-hans.png
Timezone: Asia/Shanghai
Enable uploads: yes

The UserMerge extension (default for Wikivoyage) is not required.

Thank you.
Comment 1 Tomasz W. Kozlowski 2013-12-28 15:57:23 UTC
Just out of curiosity, why would a Chinese project use English names for its namespaces?
Comment 2 Byfserag 2013-12-29 02:14:57 UTC
Because it's more convenient to input.
Comment 3 zhuyifei1999 2013-12-29 03:00:19 UTC
(In reply to comment #1)
> Just out of curiosity, why would a Chinese project use English names for its
> namespaces?

zh.wp uses English name too.
Comment 4 Hkjacksonhk 2013-12-29 03:24:22 UTC
It seems that zh.wp has change the namespace from en to zh auto.
Comment 5 Hat600 2013-12-29 09:42:31 UTC
(In reply to comment #1)
> Just out of curiosity, why would a Chinese project use English names for its
> namespaces?

because chinese have variants, and it's unfair to use a certain variant in namespace names. and there're some kind of codes to display chinese namespace with the variant set in preferences or in the browser.
Comment 6 Tomasz W. Kozlowski 2013-12-29 12:59:18 UTC
Yes, I understand that; I asked that question mostly because you (the group behind the new project) have apparently managed to reach an agreement on the name of the project (维基导游) but not on the project namespace name, which striked me as a bit weird.

If you want to continue with the English names for the namespaces, I can submit a patch later today (evening UTC time).
Comment 7 zhuyifei1999 2013-12-29 13:30:40 UTC
(In reply to comment #6)
> If you want to continue with the English names for the namespaces, I can
> submit
> a patch later today (evening UTC time).

Thanks for that.
Comment 8 Gerrit Notification Bot 2013-12-29 14:51:48 UTC
Change 104355 had a related patch set uploaded by Odder:
Create Chinese Wikivoyage (zhwikivoyage)

https://gerrit.wikimedia.org/r/104355
Comment 9 Gabriel Chi Hong Lee 2013-12-30 11:24:26 UTC
Dear all, thanks for your help, but I would like to know how long will it take?
Comment 10 zhuyifei1999 2013-12-30 12:05:28 UTC
(In reply to comment #9)
> Dear all, thanks for your help, but I would like to know how long will it
> take?

Some recent ones: 
bug 46416 (he.voy): 6 days
bug 46417 (uk.voy): 7 days
bug 47945 (wikimania2014): 1 day (WOW!)
bug 48412 (vec.wikt): 3 days
bug 48413 (el.voy): 3 days
bug 49328 (tyv.wp): ~2 months (time wasted)
bug 52034 (vi.voy): 19 days (RESOLVED time)
Comment 11 Étienne Beaulé 2013-12-31 02:42:29 UTC
(In reply to comment #5)
> (In reply to comment #1)
> > Just out of curiosity, why would a Chinese project use English names for its
> > namespaces?
> 
> because chinese have variants, and it's unfair to use a certain variant in
> namespace names. and there're some kind of codes to display chinese namespace
> with the variant set in preferences or in the browser.

Couldn't there be aliases to namespaces? It seems possible as english names for namespaces also work, and redirect to the translated name of the namespace. (I understand that there are [[translatewiki:]] messages used for names of namespaces.)

(In reply to comment #10)
> (In reply to comment #9)
> > Dear all, thanks for your help, but I would like to know how long will it
> > take?
> 
> Some recent ones: 
> bug 46416 (he.voy): 6 days
> bug 46417 (uk.voy): 7 days
> bug 47945 (wikimania2014): 1 day (WOW!)
> bug 48412 (vec.wikt): 3 days
> bug 48413 (el.voy): 3 days
> bug 49328 (tyv.wp): ~2 months (time wasted)
> bug 52034 (vi.voy): 19 days (RESOLVED time)

Normally, submitted bugs for wiki creations are done in groups and devs like to make them in one motion, normally not one at a time.
Comment 12 Byfserag 2013-12-31 07:50:03 UTC
(In reply to comment #11)

> Couldn't there be aliases to namespaces? It seems possible as english names
> for
> namespaces also work, and redirect to the translated name of the namespace.
> (I
> understand that there are [[translatewiki:]] messages used for names of
> namespaces.)
In Chinese wikipedia,chinese names for namespaces also work, and redirect to the english name of the namespace.
Comment 13 zhuyifei1999 2013-12-31 07:56:13 UTC
(In reply to comment #12)
> (In reply to comment #11)
> 
> > Couldn't there be aliases to namespaces? It seems possible as english names
> > for
> > namespaces also work, and redirect to the translated name of the namespace.
> > (I
> > understand that there are [[translatewiki:]] messages used for names of
> > namespaces.)
> In Chinese wikipedia,chinese names for namespaces also work, and redirect to
> the english name of the namespace.

https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/ddd2488b6aac9c6d2842bc802b90563f6d85b5a9/wmf-config%2FInitialiseSettings.php#L3351 for project ns
Comment 14 zhuyifei1999 2014-01-12 06:50:40 UTC
@Reedy: Anything prevents you from merging?
Comment 15 Byfserag 2014-01-12 08:48:49 UTC
(In reply to comment #14)
> @Reedy: Anything prevents you from merging?

"Normally, submitted bugs for wiki creations are done in groups and devs like to
make them in one motion, normally not one at a time."
Comment 16 zhuyifei1999 2014-01-12 09:03:30 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > @Reedy: Anything prevents you from merging?
> 
> "Normally, submitted bugs for wiki creations are done in groups and devs like
> to
> make them in one motion, normally not one at a time."

IMO it is ready to merge.
Comment 17 Tomasz W. Kozlowski 2014-01-12 09:21:01 UTC
(In reply to comment #15)

> "Normally, submitted bugs for wiki creations are done in groups and devs like
> to make them in one motion, normally not one at a time."

There are no other wikis waiting to be created.
Comment 18 Gabriel Chi Hong Lee 2014-01-14 11:25:38 UTC
can it be created individually?
Comment 19 Étienne Beaulé 2014-01-14 12:58:32 UTC
(In reply to comment #18)
> can it be created individually?

It can, but its prefered to create them in batches.
Comment 20 Gerrit Notification Bot 2014-01-14 20:34:30 UTC
Change 104355 merged by jenkins-bot:
Create Chinese Wikivoyage (zhwikivoyage)

https://gerrit.wikimedia.org/r/104355
Comment 21 Tomasz W. Kozlowski 2014-01-14 20:36:23 UTC
The wiki is now live. Congratulations!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links